{% extends 'base.html' %}
{% load static %}
{% block app_css %}
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
  integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
  integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
  integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock app_css %}

{% block content %}
<div class="jumbotron jumbotron-fluid text-white my-jumbotron d-flex align-items-center">
  <div class="container text-center">
    <h1 class="display-4">Corona Tracker Indonesia</h1>
  </div>
</div>
<div class="container">
  <div class="row d-flex justify-content-center">
    <div class="col-12 col-md-8">
      <div class="card m-2 mt-0 shadow">
        <div class="card-body">
          <div class="d-flex flex-row">
            <img src="https://www.flaticon.com/svg/static/icons/svg/939/939651.svg" alt="" width="28px" class="m-1">
            <h4 class="m-1"><small>Indonesia</small></h4>
          </div>
          <div class="d-flex flex-row pt-3 justify-content-around">
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases confirmed-color">{{dataKasus.confirmed}}</p>
              <p class="my-text-info">Confirmed</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases recovered-color">{{dataKasus.recovered}}</p>
              <p class="my-text-info">Recovered</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases death-color">{{dataKasus.death}}</p>
              <p class="my-text-info">Death</p>
            </div>
          </div>
        </div>
      </div>
    </div>


    <div class="col-12 col-md-8">
      <div class="card m-2 shadow">
        <div class="card-body">
          <div class="d-flex flex-row">
            <a href="" data-toggle="modal" data-target="#exampleModal"><img
                src="https://www.flaticon.com/svg/static/icons/svg/149/149769.svg" alt="" width="28px" class="m-1"></a>
            <h4 class="m-1"><small>{{ userProv }}</small> </h4>
          </div>
          <div class="d-flex flex-row pt-3 justify-content-around">
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases confirmed-color">{{dataProv.confirmed}}</p>
              <p class="my-text-info">Confirmed</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases recovered-color">{{dataProv.recovered}}</p>
              <p class="my-text-info">Recovered</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases death-color">{{dataProv.death}}</p>
              <p class="my-text-info">Death</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="mt-2">
    <p class="m-0 local-date"><b>Last Update :</b></p>
    <p class="local-date">{{ tanggal|date:"j F Y" }}</p>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Provinsi</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form method="POST">
        {% csrf_token %}
        <div class="modal-body">
          <select class="custom-select" name="provinsi">
            {% for provinsi in allProv %}
            <option value="{{provinsi.nama}}">{{provinsi.nama}}</option>
            {% endfor %}
          </select>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
      </form>
    </div>
  </div>
</div>
{% endblock %}